Description

What I am trying?

    -  Join two layers and copy only certain fields from layer 2

    -  I am doing this in the processing modeler

    -  I enter the field names in 'Layer 2 fields to copy', for example

['field1', 'field2']

Expected outcome

    -  field1 and field2 are joined into layer 1

Actual outcome

    -  No field from layer 2 is copied over

Assumptions where the error stems from

    -  Every input into the field is treated as a string it seems. Looking at the log output from running the process I see for the algorithm that

my input is transformed as follows:

Input:

['field1','field2']

Output:

'[\'field1\', \'field2\']'

I.e. it takes the whole entry as string and escapes the quotation marks. Not sure where things are going wrong. The algorithm works

properly when just run on its own in the toolbox.

History

#1 - 2018-10-03 10:08 PM - Nyall Dawson

- Status changed from Open to Feedback

Try with a ; delimited list, no start our end brackets.

Eg

Field1;field2
#2 - 2018-10-04 05:31 PM - David Todd

Just tested the suggestion from Nyall and it functions as it should when using a 

Field1;Field2

Would adding that piece of information to the doc here: 

https://github.com/qgis/QGIS-Documentation/blob/master/source/docs/user_manual/processing_algs/qgis/vectorgeneral.rst#join-attributes-by-field-value

be appropriate?

#3 - 2018-10-04 08:48 PM - Giovanni Manghi

Would adding that piece of information to the doc here: 

https://github.com/qgis/QGIS-Documentation/blob/master/source/docs/user_manual/processing_algs/qgis/vectorgeneral.rst#join-attributes-by-field-

alue be appropriate?

yes sure!

closing?

#4 - 2018-10-04 09:23 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Closed

Note that I also intend to add this in a Tokyo you on the setting, but for boring technical reasons this has to wait until 3.6
